export const Logo = ({ style = {} }) => {
  return (
    <div style={style}>
      <svg
        width="170"
        height="39"
        viewBox="0 0 170 39"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M127.196 38.6756C126.249 38.6756 125.609 37.7087 125.979 36.8369L130.787 25.5174C130.997 24.9658 131.194 24.4143 131.377 23.8627L136.454 9.80459C136.643 9.28073 137.141 8.93164 137.698 8.93164H141.571L133.07 29.6145L129.894 37.8303C129.697 38.3398 129.207 38.6756 128.661 38.6756H127.196Z"
          fill="#F4C807"
        />
        <path
          d="M130.817 25.3598L126.636 24.2965C126.243 24.1967 125.918 23.9226 125.753 23.5526L120.077 10.7909C119.688 9.91665 120.328 8.93164 121.284 8.93164H123.097C123.628 8.93164 124.107 9.24876 124.314 9.73708L130.427 24.1385C130.558 24.4011 130.633 24.8345 130.817 25.3598Z"
          fill="#2E334B"
        />
        <path
          d="M102.496 30.744C101.391 30.744 100.496 29.8486 100.496 28.744V3C100.496 1.89543 101.391 1 102.496 1H102.98C104.085 1 104.98 1.89543 104.98 3V28.744C104.98 29.8486 104.085 30.744 102.98 30.744H102.496ZM97.75 13.5586C96.6454 13.5586 95.75 12.6631 95.75 11.5586V10.9317C95.75 9.82716 96.6454 8.93173 97.75 8.93173H109.961V11.5586C109.961 12.6631 109.066 13.5586 107.961 13.5586H97.75Z"
          fill="#2E334B"
        />
        <path
          d="M48 30.7016C46.8954 30.7016 46 29.8061 46 28.7016V3C46 1.89543 46.8954 1 48 1H58.6062C60.2983 1 61.8494 1.42431 63.2594 2.27293C64.6977 3.09325 65.8399 4.22474 66.686 5.66739C67.532 7.08175 67.955 8.67997 67.955 10.4621C67.955 12.0744 67.532 13.5737 66.686 14.9597C65.8399 16.3458 64.7118 17.4631 63.3017 18.3118C61.8917 19.1321 60.3265 19.5423 58.6062 19.5423H52.5687C51.4641 19.5423 50.5687 20.4377 50.5687 21.5423V28.7016C50.5687 29.8061 49.6732 30.7016 48.5687 30.7016H48ZM64.7582 30.7104C64.0407 30.7049 63.381 30.3155 63.0297 29.6898L57.3816 19.6324C56.7264 18.4657 57.3795 16.9972 58.6847 16.7023L59.327 16.5572C60.1814 16.3642 61.062 16.7496 61.4999 17.5082L67.3926 27.7175C68.1656 29.0567 67.1914 30.7291 65.6451 30.7172L64.7582 30.7104ZM50.5687 13.1295C50.5687 14.234 51.4641 15.1295 52.5687 15.1295H59.0292C59.847 15.1295 60.5803 14.9314 61.2289 14.5354C61.8776 14.1111 62.3852 13.5454 62.7518 12.8382C63.1184 12.1027 63.3017 11.2965 63.3017 10.4196C63.3017 9.42959 63.062 8.56683 62.5826 7.83136C62.1314 7.0676 61.4827 6.47357 60.6367 6.04926C59.8188 5.62496 58.8882 5.4128 57.8447 5.4128H52.5687C51.4641 5.4128 50.5687 6.30823 50.5687 7.4128V13.1295Z"
          fill="#2E334B"
        />
        <path
          d="M82.3129 30.744C81.2083 30.744 80.3129 29.8486 80.3129 28.744V10.8656C80.3129 9.761 81.2083 8.86557 82.3129 8.86557H84.67V28.744C84.67 29.8486 83.7746 30.744 82.67 30.744H82.3129Z"
          fill="#2E334B"
        />
        <path
          d="M85.7504 4.30489C85.7504 6.13013 84.2708 7.60977 82.4455 7.60977C80.6203 7.60977 79.1406 6.13013 79.1406 4.30489C79.1406 2.47965 80.6203 1 82.4455 1C84.2708 1 85.7504 2.47965 85.7504 4.30489Z"
          fill="#F4C807"
        />
        <path
          d="M168.429 14.5564V6.81021C168.428 6.47061 168.338 6.13712 168.168 5.84322C167.998 5.54932 167.754 5.30534 167.459 5.13577L160.682 1.25941C160.388 1.08947 160.054 1 159.714 1C159.374 1 159.041 1.08947 158.746 1.25941L151.968 5.13577C151.674 5.3055 151.43 5.54955 151.26 5.84344C151.09 6.13733 151 6.47073 151 6.81021V14.5564C151 14.8959 151.09 15.2293 151.26 15.5232C151.43 15.8171 151.674 16.0612 151.968 16.2309L158.746 20.1034C159.041 20.2733 159.374 20.3628 159.714 20.3628C160.054 20.3628 160.388 20.2733 160.682 20.1034L167.461 16.2309C167.755 16.0612 167.999 15.8171 168.169 15.5232C168.339 15.2293 168.428 14.8959 168.429 14.5564V14.5564Z"
          stroke="url(#paint0_linear_571_31848)"
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M151.262 5.8031L159.714 10.6929L168.167 5.8031"
          stroke="url(#paint1_linear_571_31848)"
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M159.715 20.4424V10.6821"
          stroke="url(#paint2_linear_571_31848)"
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M22 24.5V27.5C22 29 21 30 19.5 30H6C6.41 30 6.83 29.94 7.22 29.81C7.33 29.77 7.43999 29.73 7.54999 29.68C7.89999 29.54 8.24001 29.34 8.54001 29.08C8.63001 29.01 8.73001 28.92 8.82001 28.83L8.85999 28.79L15.66 22H19.5C21 22 22 23 22 24.5Z"
          stroke="#2DAD96"
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M10 12.5V26C10 27.08 9.55999 28.07 8.85999 28.79L8.82001 28.83C8.73001 28.92 8.63001 29.01 8.54001 29.08C8.24001 29.34 7.89999 29.54 7.54999 29.68C7.43999 29.73 7.33 29.77 7.22 29.81C6.83 29.94 6.41 30 6 30C5.73 30 5.46001 29.97 5.20001 29.92C5.07001 29.89 4.94 29.86 4.81 29.82C4.65 29.77 4.50001 29.72 4.35001 29.65C4.35001 29.64 4.35 29.64 4.34 29.65C4.06 29.51 3.79001 29.35 3.54001 29.16L3.53 29.15C3.4 29.05 3.28001 28.95 3.17001 28.83C3.06001 28.71 2.95 28.59 2.84 28.46C2.65 28.21 2.49001 27.94 2.35001 27.66C2.36001 27.65 2.36001 27.65 2.35001 27.65C2.35001 27.65 2.35 27.64 2.34 27.63C2.28 27.49 2.22999 27.34 2.17999 27.19C2.13999 27.06 2.10999 26.93 2.07999 26.8C2.02999 26.54 2 26.27 2 26V12.5C2 11 3 10 4.5 10H7.5C9 10 10 11 10 12.5Z"
          stroke="#151B33"
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M4.80969 29.8199C4.20969 29.6399 3.63971 29.3099 3.16971 28.8299C2.68971 28.3599 2.35969 27.7899 2.17969 27.1899C2.56969 28.4399 3.55969 29.4299 4.80969 29.8199Z"
          stroke="#151B33"
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M18.3694 19.2899L15.6594 22L8.85938 28.7899C9.55937 28.0699 9.99939 27.08 9.99939 26V16.34L12.7094 13.63C13.7694 12.57 15.1894 12.57 16.2494 13.63L18.3694 15.75C19.4294 16.81 19.4294 18.2299 18.3694 19.2899Z"
          stroke="#151B33"
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M6 27C6.55228 27 7 26.5523 7 26C7 25.4477 6.55228 25 6 25C5.44772 25 5 25.4477 5 26C5 26.5523 5.44772 27 6 27Z"
          stroke="#2DAD96"
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <defs>
          <linearGradient
            id="paint0_linear_571_31848"
            x1="150.5"
            y1="14.5"
            x2="167.5"
            y2="7.5"
            gradientUnits="userSpaceOnUse"
          >
            <stop stopColor="#F4C807" />
            <stop offset="1" stopColor="#2E334B" />
          </linearGradient>
          <linearGradient
            id="paint1_linear_571_31848"
            x1="153"
            y1="11.0001"
            x2="168"
            y2="7.00012"
            gradientUnits="userSpaceOnUse"
          >
            <stop stopColor="#F4C807" />
            <stop offset="1" stopColor="#2E334B" />
          </linearGradient>
          <linearGradient
            id="paint2_linear_571_31848"
            x1="155.5"
            y1="17"
            x2="168.5"
            y2="9.5"
            gradientUnits="userSpaceOnUse"
          >
            <stop stopColor="#F4C807" />
            <stop offset="1" stopColor="#2E334B" />
          </linearGradient>
        </defs>
      </svg>
    </div>
  )
}
